Name:           parcellite
Version:        0.7
Release:        2%{?dist}
Summary:        A lightweight GTK+ clipboard manager

Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://xyhthyx.googlecode.com
Source0:        http://xyhthyx.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.10.0 desktop-file-utils

%description
Parcellite is a stripped down, basic-features-only clipboard manager with a 
small memory footprint for those who like simplicity.

In GNOME and Xfce the clipboard manager will be started automatically. For 
other desktops or window managers you should also install a panel with a 
system tray or notification area if you want to use this package.


%prep
%setup -q
# quick fix for desktop file
echo "Type=Application" >> %{name}-startup.desktop


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

desktop-file-install --vendor="fedora"                     \
  --delete-original                                        \
  --remove-category=Application                            \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications          \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor=""                           \
  --delete-original                                        \
  --add-category=TrayIcon                                  \
  --dir=${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/     \
  ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}-startup.desktop
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sat Apr 19 2008 Christoph Wickert <fedora christoph-wickert de> - 0.7-2
- No longer require lxpanel
- Preserve timestamps during install
- Include NEWS in doc

* Sat Apr 12 2008 Christoph Wickert <fedora christoph-wickert de> - 0.7-1
- Initial Fedora RPM
